{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>All Courses</title>
{% endblock meta %}

{% block content %}

<div class="container">

    {% if courses %} 
    {% for course in courses %}
        <div class="card">
            <div class="card-content">
               <h4>
                   {{course.title}}
               </h4> 
               Author :  {{course.author.user.get_name}} <br>
               Description : {{course.description}}

            </div>
            <div class="card-action">
                {%if request.user.is_murid or request.user.is_superuser%}
                    {%if request.user.murid in course.murid_set.all or request.user.is_superuser %}
                    <a href="/course/{{course.id}}/" class="btn waves-effect purple lighten-1"><i class="material-icons right">send</i>Details</a>
                    {%endif %}
                {%endif%}
                    
                    
                <a href="/course-summary/{{course.id}}/" class="btn waves-effect purple accent-3"><i class="material-icons right">book</i>Read Summary</a>
                {%if request.user.murid not in course.murid_set.all %}
                <i>enroll this course to see details</i>
                {%endif %}
            </div>
        </div>
    {%endfor%}
    {%endif%}
</div>

  
{% endblock content %}